1. Packages
  • Overview
  • Packages
    • Create Shipment
      POST
    • Generate AWB
      POST
    • Get Package Current Status
      GET
    • Get Package Status History
      GET
    • List Package Statuses
      GET
    • Cancel Package
      PUT
    • Return Package
      PUT
  • Webhooks
    • Package Status Webhook
  • Addresses
    • List Cities
      GET
    • List Regions
      GET
    • List Region Cities
      GET
    • List City Villages
      GET
    • List Service Types
      GET
  • Schemas
    • NoteMessage
    • AddressDto
    • CitiesTripsTimeSchedule
    • CreatingPackageDto
    • IntegrationPackageRequestDto
    • MainCitiesTripsTimeSchedule
    • PackageItemsToDeliver
    • PackageIdentifiersWrapper
    • LocalizedKeyData
    • PackageStatusResponse
    • City
    • GeofenceData
    • Package
  1. Packages

Create Shipment

POST
/secure/integration/packages
Creates a package for the customer that owns this API key. There is no email/password or company-id to send — both are resolved from the key. integrationSource on the created package is stamped automatically from the key and any value sent in the body is ignored. If originAddress is omitted, the customer's own address is used.

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
*/*
Package created
Body*/*

🟠400
🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://apisv5.logestechs.com/api/secure/integration/packages' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "pkg": {
        "description": "string",
        "weight": 10,
        "quantity": 10,
        "width": 10,
        "length": 10,
        "height": 10,
        "expectedDeliveryDate": "2023-01-1T00:00:00.692Z",
        "cod": 10,
        "serviceType": "STANDARD",
        "shipmentType": "COD,REGULAR,SWAP,BRING",
        "senderPhone": "0123456789",
        "receiverPhone": "0123456789",
        "senderPhone2": "0123456789",
        "phoneType": "string",
        "receiverName": "XXX YYYY",
        "receiverPhone2": "0123456789",
        "notes": "string",
        "getePaymentLink": "https://saeepay.com/p?i=VAR_PAYMENT_CODE",
        "pincode": 152016,
        "isInsurance": true,
        "isFragile": true,
        "isPackageHasDeliveryNote": true,
        "isflammable": true,
        "isHazardousMaterial": true,
        "isAnimalOrPit": true,
        "isNeedPackaging": true,
        "businessReceiverName": "string",
        "businessSenderName": "string",
        "senderName": "XXX YYYY",
        "invoiceNumber": 11111222,
        "supplierInvoice": "string",
        "serviceTypeId": 0,
        "vehicleTypeId": 0,
        "isFingerprintRequired": true,
        "msisdn": "string",
        "simNumber": "string",
        "paymentType": "CASH",
        "isNeedCooling": true,
        "isNeedMeasurement": true,
        "isNeedPreview": true,
        "isPreventOpen": true,
        "isDestructible": true,
        "toPayToReceiver": 15,
        "toCollectFromReceiver": 200,
        "senderFirstName": "X",
        "senderLastName": "Y",
        "receiverFirstName": "X",
        "receiverLastName": "Y",
        "parcelTypeId": 5,
        "toHub": 0,
        "tripNumber": "string",
        "trip": {
            "createdDate": "2019-08-24T14:15:22.123Z",
            "id": 0,
            "companyId": 0,
            "tripNumber": "string",
            "mainTripCapacity": 0,
            "citiiesTripsTimeSchedules": [
                {
                    "createdDate": "2019-08-24T14:15:22.123Z",
                    "id": 0,
                    "companyId": 0,
                    "fromHubId": 0,
                    "toHubId": 0,
                    "fromTime": "2019-08-24T14:15:22.123Z",
                    "toTime": "2019-08-24T14:15:22.123Z",
                    "days": [
                        "SATURDAY"
                    ],
                    "fromHubName": "string",
                    "toHubName": "string",
                    "tripName": "string",
                    "cost": 0,
                    "isSaturday": true,
                    "isSunday": true,
                    "isMonday": true,
                    "isTuesday": true,
                    "isWednesday": true,
                    "isThursday": true,
                    "isFriday": true,
                    "parcelTypeId": 0,
                    "parcelTypeName": "string",
                    "capacity": 0,
                    "mainCitiesTripsTimeScheduleId": 0,
                    "validFrom": "2019-08-24T14:15:22.123Z",
                    "validTo": "2019-08-24T14:15:22.123Z"
                }
            ]
        },
        "expectedPickupDate": "2019-08-24T14:15:22.123Z",
        "integrationSource": "string",
        "packageItemsToDeliverList": [
            {
                "createdDate": "2019-08-24T14:15:22.123Z",
                "id": 0,
                "companyId": 0,
                "name": "string",
                "sku": "string",
                "quantity": 0,
                "cod": 0,
                "price": 0,
                "status": "IN_PROGRESS",
                "hsCode": "string",
                "netWeight": 0,
                "grossWeight": 0,
                "description": "string",
                "productImageUrl": "string",
                "unit": "BOX",
                "direction": "OUTBOUND",
                "displayName": "string",
                "displayCost": 0
            }
        ],
        "webhookUrl": "string",
        "customerAuthorId": 0,
        "hubId": 0,
        "thirdPartyBarcode": "string",
        "paymentTypeId": 0,
        "cbm": 0,
        "attachmentUrls": [
            "string"
        ],
        "declaredValue": 0,
        "fromHub": 0
    },
    "originAddress": {
        "createdDate": "2019-08-24T14:15:22.123Z",
        "id": 0,
        "companyId": 0,
        "addressLine1": 123,
        "addressLine2": "string",
        "city": "string",
        "cityId": 0,
        "country": "string",
        "village": "string",
        "villageId": 0,
        "region": "string",
        "regionId": 0,
        "street": "string",
        "zipCode": "string",
        "latitude": 0,
        "longitude": 0,
        "locationAccuracy": 0,
        "notes": "string",
        "buildingNo": "string",
        "buildingName": "string",
        "floorNo": "string",
        "doorNo": "string",
        "arabicRegionName": "string",
        "arabicCityName": "string",
        "arabicVillageName": "string",
        "words": "string",
        "nationalAddress": "string",
        "isReceivingPoint": true,
        "geoGraphUrl": "string",
        "locatedByReceiver": true,
        "regionPrefix": "string",
        "what3words": "string",
        "shortAddress": "string"
    },
    "destinationAddress": {
        "createdDate": "2019-08-24T14:15:22.123Z",
        "id": 0,
        "companyId": 0,
        "addressLine1": 123,
        "addressLine2": "string",
        "city": "string",
        "cityId": 0,
        "country": "string",
        "village": "string",
        "villageId": 0,
        "region": "string",
        "regionId": 0,
        "street": "string",
        "zipCode": "string",
        "latitude": 0,
        "longitude": 0,
        "locationAccuracy": 0,
        "notes": "string",
        "buildingNo": "string",
        "buildingName": "string",
        "floorNo": "string",
        "doorNo": "string",
        "arabicRegionName": "string",
        "arabicCityName": "string",
        "arabicVillageName": "string",
        "words": "string",
        "nationalAddress": "string",
        "isReceivingPoint": true,
        "geoGraphUrl": "string",
        "locatedByReceiver": true,
        "regionPrefix": "string",
        "what3words": "string",
        "shortAddress": "string"
    }
}'
Response Response Example
200 - Example 1
{
    "id": 0,
    "companyId": 0,
    "customerId": 0,
    "barcode": "string",
    "barcodeImage": "string",
    "invoiceNumber": "string",
    "cod": 0,
    "status": "string",
    "integrationSource": "string"
}
Modified at 2026-08-23 13:01:31
Previous
Overview
Next
Generate AWB
Built with